"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useWindowSize_1 = __importDefault(require("./useWindowSize"));
var useDeviceDetection = function () {
    var width = (0, useWindowSize_1.default)().width;
    var _a = (0, react_1.useState)(null), deviceType = _a[0], setDeviceType = _a[1];
    (0, react_1.useEffect)(function () {
        var breakpoints = {
            smallMobile: 480,
            mobile: 575,
            phablet: 767,
            smallTablet: 991,
            tablet: 1024,
            smallDesktop: 1199,
            desktop: 1439,
        };
        var smallMobileQuery = width <= breakpoints.smallMobile;
        var mobileQuery = width >= breakpoints.smallMobile && width <= breakpoints.mobile;
        var phabletQuery = width >= breakpoints.mobile && width <= breakpoints.phablet;
        var smallTabletQuery = width >= breakpoints.phablet && width <= breakpoints.smallTablet;
        var tabletQuery = width >= breakpoints.smallTablet && width <= breakpoints.tablet;
        var smallDesktopQuery = width >= breakpoints.tablet && width <= breakpoints.smallDesktop;
        var updateDeviceType = function () {
            switch (true) {
                case smallMobileQuery:
                    setDeviceType('is-small-mobile');
                    break;
                case mobileQuery:
                    setDeviceType('is-mobile');
                    break;
                case phabletQuery:
                    setDeviceType('is-phablet');
                    break;
                case smallTabletQuery:
                    setDeviceType('is-small-tablet');
                    break;
                case tabletQuery:
                    setDeviceType('is-tablet');
                    break;
                case smallDesktopQuery:
                    setDeviceType('is-small-desktop');
                    break;
                default:
                    setDeviceType('is-desktop');
                    break;
            }
        };
        updateDeviceType();
    }, [width, deviceType]);
    return { deviceType: deviceType };
};
exports.default = useDeviceDetection;
