"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var debounce = function (fn, ms) {
    var timer;
    return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        clearTimeout(timer);
        timer = window.setTimeout(function () {
            timer = null;
            fn.apply(_this, args);
        }, ms);
    };
};
var useWindowSize = function () {
    var _a = (0, react_1.useState)({
        width: 0,
        height: 0,
    }), windowSize = _a[0], setWindowSize = _a[1];
    (0, react_1.useEffect)(function () {
        var debouncedHandleResize = debounce(function handleResize() {
            setWindowSize({ width: window.innerWidth, height: window.innerHeight });
        }, 50);
        window.addEventListener('resize', debouncedHandleResize);
        debouncedHandleResize();
        return function () {
            window.removeEventListener('resize', debouncedHandleResize);
        };
    }, []);
    return windowSize;
};
exports.default = useWindowSize;
